Namespace
library
Image / Tag
swift:5.8.0-jammy
Content Digest
sha256:0a51ead53e09b0672de2c6a4f9f226f209ff69de27a15111c983301db5a2a0c7
Details
Created

2023-06-01 23:52:53 UTC

Size

731 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d1669123f28121211977ed38e663dca1a397c0c001e5386598b96c89b1b1cd51 - 3.97% (29 MB)

[#001] sha256:2eb6ab9506c1642bb1313c6f542e734c68e29c0725fd0ec3aa6a23693f46b6d1 - 23.0% (168 MB)

[#002] sha256:6cc7a5132eb8b07c9ff7c43b72837fe1ad9eafb68909a703cd3487ccbdba4698 - 73.03% (534 MB)

[#003] sha256:9cf94205bf91431b9f90f17a73b3f1778c470c87d5b0b1dcd01e73cf5cb47c40 - 0.0% (229 Bytes)


History
2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-05-22 17:45:52 UTC

/bin/sh -c #(nop) ADD file:2fd2684e989d275c95e18b6f6e9ccf57ca1382ecd8faf4a66961ede28102dedf in /

2023-05-22 17:45:52 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-06-01 23:50:17 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-06-01 23:50:17 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-06-01 23:52:07 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3-dev libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-06-01 23:52:08 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-06-01 23:52:08 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-06-01 23:52:08 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-06-01 23:52:08 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-06-01 23:52:09 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:52:09 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:52:47 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-06-01 23:52:53 UTC

/bin/sh -c swift --version

Details
Created

2023-06-01 23:08:47 UTC

Size

715 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:6c7698a779f6d8c45a39a6721fb5cce267d66ff8ab5181c55aa6d02c8ddacd01 - 3.79% (27.1 MB)

[#001] sha256:06e88fa81bf36df7228a7372bdfff9e697c89dbcd741dd328026e369fe404b07 - 22.79% (163 MB)

[#002] sha256:78d89c670953b093ba6c949121a425162bed214b5b1af018cba0fb83cd7006cc - 73.42% (525 MB)

[#003] sha256:2d3f0dd9c1227bce33617c0b25550e1a1b3741ac9107299317982e0374eed5fe - 0.0% (227 Bytes)


History
2023-05-22 17:53:00 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-05-22 17:53:01 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-05-22 17:53:01 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-05-22 17:53:01 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-05-22 17:53:07 UTC

/bin/sh -c #(nop) ADD file:f0435ed8dcf91cc69ec63b6b16d9efac56e5a6a7ec518e1fcc3df7457d3113ed in /

2023-05-22 17:53:08 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-06-01 23:05:54 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-06-01 23:05:55 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-06-01 23:07:52 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3-dev libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-06-01 23:07:55 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-06-01 23:07:55 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-06-01 23:07:55 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-06-01 23:07:55 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-06-01 23:07:55 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:07:55 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:08:35 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-06-01 23:08:47 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete